# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2FontFaceSrc Class Reference

The `CSS2Cursor` interface represents the src CSS Level 2 descriptor. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2FontFaceSrc (const CSS2FontFaceSrc &other)
| CSS2FontFaceSrc (CSS2FontFaceSrcImpl *impl)
CSS2FontFaceSrc & | operator= (const CSS2FontFaceSrc &other)
DOM::DOMString | uri () const
void | setUri (const DOM::DOMString &)
CSSValueList | format () const
DOM::DOMString | fontFaceName () const
void | setFontFaceName (const DOM::DOMString &)

## Detailed Description

The `CSS2Cursor` interface represents the src CSS Level 2 descriptor.

Definition at line 626 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2FontFaceSrc::uri | ( |  | ) | const

| Specifies the source of the font, empty string otherwise. Definition at line 408 of file css_extensions.cpp.

void CSS2FontFaceSrc::setUri | ( | const DOM::DOMString & |  | ) |

see uri

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 414 of file css_extensions.cpp.

CSSValueList CSS2FontFaceSrc::format | ( |  | ) | const

| This attribute contains a list of strings for the format CSS function. Definition at line 419 of file css_extensions.cpp.

DOMString CSS2FontFaceSrc::fontFaceName | ( |  | ) | const

| Specifies the full font name of a locally installed font. Definition at line 425 of file css_extensions.cpp.

void CSS2FontFaceSrc::setFontFaceName | ( | const DOM::DOMString & |  | ) |

see fontFaceName

Exceptions:

  | DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 431 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003